Obtiene una sola respuesta NPS
curl --request GET \
--url https://clientapi.woku.app/v1/nps/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://clientapi.woku.app/v1/nps/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://clientapi.woku.app/v1/nps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responseChannel": "<string>",
"_id": "<string>",
"score": 5,
"category": "promoter",
"anonymous": true,
"npsToolId": "<string>",
"clientId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"textnote": {
"description": "<string>",
"feedbackType": "recognition",
"anonymous": true,
"createdAt": "2023-11-07T05:31:56Z"
},
"voicemail": {
"transcription": "<string>",
"feedbackType": "recognition",
"anonymous": true,
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"statusCode": 403,
"message": "Authentication required",
"error": "Forbidden"
}{
"statusCode": 404,
"message": "External tracker not found",
"error": "Not Found"
}NPS
Obtiene una sola respuesta NPS
GET
/
v1
/
nps
/
{id}
Obtiene una sola respuesta NPS
Autorizaciones
Clave de API de la empresa. Obtenla desde tu panel de Woku en Configuracion > API Keys. La misma clave usada para los endpoints v0.
Parámetros de ruta
id de la respuesta NPS
Respuesta
Respuesta NPS
Una respuesta NPS. Los datos de contacto del cliente nunca se incluyen; clientId es solo una referencia.
Canal de respuesta entrante (whatsapp | email | review-app | widget-web | mobile-sdk | api, o una cadena definida por el usuario). Null en respuestas historicas.
Rango requerido:
0 <= x <= 10Opciones disponibles:
promoter, passive, detractor Show child attributes
Show child attributes
Show child attributes
Show child attributes